
/* Attributes and underattributes */
/*True_True = parent (doesn't necessarily mean it has a child) of a priced checkbox = shown as a box */
/*True_False = parent of an unpriced checkbox or non-checkbox = shown as a text */

.Attribute_True_True {
    color: black !important;
    width: 204px;
    height: 300px;
    float: left;
    display: block;
    overflow: auto;
    border-radius: 4px;
    margin: 6px;
    box-sizing: border-box;
    padding: 10px;
    position: relative;
    -webkit-transition: opacity 1.5s ease;
    -moz-transition: opacity 1.5s ease;
    -ms-transition: opacity 1.5s ease;
    -o-transition: opacity 1.5s ease;
    transition: opacity 1.5s ease;
    background-color: #ffffff;
}

/* Selecting a priced checkbox set a border */
.selected {
    border: 4px solid #005844;
}
  
.Attribute_True_False {
    margin-top: 10px;
    border-top: 1px solid #cccccc;
    padding-top: 5px;
    padding-bottom: 15px;
}

/* Attribute box header*/
.Attribute_True_True .AttributeHeader {
    color: black !important;
    min-height: 230px;
    max-height: 230px;
    width: 180px;
    overflow: hidden;
    -webkit-transition: all 2s ease;
    -moz-transition: all 2s ease;
    -ms-transition: all 2s ease;
    -o-transition: all 2s ease;
    transition: all 2s ease;
    position: absolute;
    bottom: 60px;
    z-index: 2;
}

/* Creates auto-scroll effect */
.AttributeHeader:hover {
    max-height: 200%;
    bottom: 60px;
}


/* Attribute box Footer*/
.Attribute_True_True .AttributeFooter {
    width: 180px;
    height: 50px;
    overflow: hidden;
    position: absolute;
    bottom: 10px;
}

/* Checkbox styling for Attribute box */
.Attribute_True_True input[type="checkbox"] {
    display: none;
}

.Attribute_True_True input[type="radio"] + label {
    color: #000000;
}

.Attribute_True_True input[type="checkbox"] + label {
    display: inline-block;
    width: 100%;
    border-radius: 0.5rem;
    height: 30px;
    line-height: 26px;
    font-size: 14px;
    background-color: #FFEB66;
    border: 1px solid #FFEB66;
    color: #004230;
    float: right;
    font-weight: bold;
    text-align: center;
}

    .Attribute_True_True input[type="checkbox"] + label:hover {
        background-color: #004230;
         border: 1px solid #004230;
        transition: 200ms background-color ease-out, 200ms color ease-out;
        color: #FFEB66;
    }

.selected input[type="checkbox"]:checked + label {
    border: 1px solid #cccccc;
    background-color: #cccccc;
    color: #ffffff;
}

.AttributeHeader h1 {
    font-size: 12px;
}

.arrow {
    width: 44px;
    height: 44px;
    text-align: right;
    top: 0;
    right: 0;
    position: absolute;
    font-size: 18px;
    color: #FFEB66;
    z-index: 30;
}

    .arrow:before {
        content: '';
        border: 22px solid;
        border-color: #005844 #005844 #FFFFFF #FFFFFF;
        /* GÃƒÆ’Ã‚Â¶r border ner och vÃƒÆ’Ã‚Â¤nster transparenta fÃƒÆ’Ã‚Â¶r att inte ÃƒÆ’Ã‚Â¶verlappa ev. attributbilder*/
        border-bottom: 22px solid rgba(255, 255, 255, 0.0);
        border-left: 22px solid rgba(255,255, 255, 0.0);
        position: absolute;
        top: 0;
        left: 0;
        z-index: -1;
    }


.Attribute_True_True .btnReadMore, .Attribute_True_True a.btnReadMore {
    width: 80px;
    font-size: 12px;
    text-align: center;
    background-color: #ffffff;
    border: 1px solid #b51616;
    color: #b51616;
    height: 20px;
    line-height: 18px;
    display: inline-block;
    text-decoration: none;
    border-radius: 1px;
}

    .Attribute_True_True .btnReadMore:hover, .Attribute_True_True a.btnReadMore:hover,
    .Attribute_True_True .btnReadMore:visited, .Attribute_True_True a.btnReadMore:visited {
        color: #FFFFFF;
        background-color: #b51616;
        text-decoration: none;
    }

.overlay-container img {
    max-width: 300px;
}


.name_True {
    font-weight: bold;
}

.name_False {
    font-weight: normal;
}

.inactive {
    pointer-events: none;
    /* for "disabled" effect */
    opacity: 0.5;
    background: #dddddd;
}

.price {
    font-size: 14px;
    font-weight: bold;
    color: #004230;
    line-height: 20px;
    padding-bottom: 4px;
}


/* The Overlay (background) */
.overlay {
    /* Height & width depends on how you want to reveal the overlay (see JS below) */
    height: 100%;
    width: 0;
    max-width: 100%;
    position: fixed; /* Stay in place */
    z-index: 12000; /* Sit on top */
    left: 0;
    top: 0;
    background-color: rgb(0,0,0); /* Black fallback color */
    background-color: rgba(0,0,0, 0.9); /* Black w/opacity */
    overflow-x: hidden; /* Disable horizontal scroll */
    transition: 0.5s; /* 0.5 second transition effect to slide in or slide down the overlay (height or width, depending on reveal) */
}

/* Position the content inside the overlay */
.overlay-content {
    position: relative;
    top: 25%; /* 25% from the top */
    width: 100%; /* 100% width */
    margin-top: 30px; /* 30px top margin to avoid conflict with the close button on smaller screens */
    text-align: center;
}

.overlay-container {
    box-sizing: border-box;
    background-color: white;
    margin-left: 10px;
    width: 100%;
    padding: 20px;
    max-width: 500px;
    text-align: left;
    overflow: auto;
    color: #000000;
}

/* The navigation links inside the overlay */
.overlay a.closebtn {
    padding: 8px;
    text-decoration: none;
    color: #818181;
    display: block; /* Display block instead of inline */
    transition: 0.3s; /* Transition effects on hover (color) */
}

/* Position the close button (top right corner) */
.overlay .closebtn {
    position: absolute;
    top: 20px;
    right: 45px;
    font-size: 60px;
}


.AttributeClassic {
    padding-bottom: 20px;
    padding-top: 20px;
    border-bottom: 1px solid #666666;
}

.wideimage {
}

    .wideimage > img {
        width: 100%;
        margin-top: 5px;
        margin-bottom: 5px;
    }

.narrowimage {
    width: 80px;
}

    .narrowimage > img {
        width: 80px;
        margin-left: 3px;
    }


.Right {
    float: right;
}
